# std::istreambuf_iterator::istreambuf_iterator

From cppreference.com
< cpp‎ | iterator‎ | istreambuf iterator

| (1) |
istreambuf_iterator(); |  | (until C++11)
constexpr istreambuf_iterator(); |  | (since C++11)
istreambuf_iterator( std::basic_istream<CharT,Traits>& is ); | (2) |
istreambuf_iterator( std::basic_streambuf<CharT,Traits>* s ); | (3) |
istreambuf_iterator( const istreambuf_iterator& ) = default; | (4) | (since C++11)

1) Constructs an end-of-stream iterator.
2) Initializes the iterator and stores the value of is.rdbuf() in a data member. If is.rdbuf() is null, then end-of-stream iterator is constructed.
3) Initializes the iterator and stores the value of `s` in a data member. If `s` is null, then end-of-stream iterator is constructed.
4) The copy constructor is explicitly defaulted.

### Parameters

is | - | stream to obtain the stream buffer from
s | - | stream buffer to initialize the iterator with

### Exceptions

1-4)
`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/istreambuf_iterator/istreambuf_iterator&oldid=91563"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template